Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.httpproxy.management
Interface HTTPProxyMBean

public interface HTTPProxyMBean

Plugin http proxy service MBean interface.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `httpBasicAuthentication` Enable HTTP BASIC Authentication
`static String` | `networkEndPoint` Set Network Endpoint for MT requests
`static String` | `password` password for authentication
`static String` | `userName` username for authentication
`static boolean` | `userNameTokenAuthentication` Enable WS-Security with usernametoken

Method Summary
`void` | `addApplicationEndPoint(String appinstanceId, String callbackUrl)` Add application end point
`String` | `getApplicationEndPoint(String appinstanceId)` Getting Application Endpoint for appinstanceId;
`boolean` | `getHttpBasicAuthentication()`
`int` | `getHttpTimeoutPeriod()` Get the time (seconds) window/period in which x number of timeouts are allowed before plugin instance is disconnected.
`int` | `getHttpTimeoutThreshold()` Get the number of HTTP timeouts that are allowed in a http timeout period before plugin instance is disconnected.
`int` | `getHttpWaitTime()` Get HTTP wait time (Request-time->Response) in seconds for MT requests Value is effective for all new events.
`String` | `getNetworkEndpoint()`
`String` | `getPassword()`
`int` | `getReactivateTime()` Get the time (seconds) a plugin instance should stay disconnected after having been disconnected due to http timeout criteria.
`String` | `getUserName()`
`boolean` | `getUserNameTokenAuthentication()`
`String[]` | `listApplicationEndPoints()` list all the application end points
`void` | `removeApplicationEndPoint(String appinstanceId)` Update Application Endpoint for applicationId
`void` | `setHttpBasicAuthentication(boolean value)`
`void` | `setHttpTimeoutPeriod(int value)` Set the time (seconds) window/period in wich x number of timeouts are allowed before plugin instance is disconnected.
`void` | `setHttpTimeoutThreshold(int value)` Set the number of HTTP timeouts that are allowed in a http timeout period before plugin instance is disconnected.
`void` | `setHttpWaitTime(int value)` Set HTTP wait time (Request-time->Response) in seconds for MT requests Value is effective for all new events.
`void` | `setNetworkEndpoint(String value)`
`void` | `setPassword(String value)`
`void` | `setReactivateTime(int value)` Set the time (seconds) a plugin instance should stay disconnected after having been disconnected due to http timeout criteria.
`void` | `setUserName(String value)`
`void` | `setUserNameTokenAuthentication(boolean value)`

Field Detail

### httpBasicAuthentication

    public static final boolean httpBasicAuthentication

  Enable HTTP BASIC Authentication

  See Also:
    Constant Field Values

### networkEndPoint

    public static final String networkEndPoint

  Set Network Endpoint for MT requests

  See Also:
    Constant Field Values

### password

    public static final String password

  password for authentication

  See Also:
    Constant Field Values

### userName

    public static final String userName

  username for authentication

  See Also:
    Constant Field Values

### userNameTokenAuthentication

    public static final boolean userNameTokenAuthentication

  Enable WS-Security with usernametoken

  See Also:
    Constant Field Values

Method Detail

### addApplicationEndPoint

    public void addApplicationEndPoint(String appinstanceId,
                                       String callbackUrl)
                                throws ManagementException

  Add application end point

  Parameters:
    `appinstanceId` - Application Instance
    `callbackUrl` - Callback URL
  Throws:
    `ManagementException`

### getApplicationEndPoint

    public String getApplicationEndPoint(String appinstanceId)
                                  throws ManagementException

  Getting Application Endpoint for appinstanceId;

  Parameters:
    `appinstanceId` -
  Returns:
  Throws:
    `ManagementException`

### getHttpBasicAuthentication

    public boolean getHttpBasicAuthentication()
                                       throws ManagementException

  Throws:
    `ManagementException`

### getHttpTimeoutPeriod

    public int getHttpTimeoutPeriod()
                             throws ManagementException

  Get the time (seconds) window/period in which x number of timeouts are allowed before plugin instance is disconnected. Requests outside the window/time period are not taken into consideration when deciding if plugin instance should be disconnected or not. Value is effective for all new events.

  Throws:
    `ManagementException`

### getHttpTimeoutThreshold

    public int getHttpTimeoutThreshold()
                                throws ManagementException

  Get the number of HTTP timeouts that are allowed in a http timeout period before plugin instance is disconnected. Value is effective for all new events.

  Throws:
    `ManagementException`

### getHttpWaitTime

    public int getHttpWaitTime()
                        throws ManagementException

  Get HTTP wait time (Request-time->Response) in seconds for MT requests Value is effective for all new events.

  Throws:
    `ManagementException`

### getNetworkEndpoint

    public String getNetworkEndpoint()
                              throws ManagementException

  Throws:
    `ManagementException`

### getPassword

    public String getPassword()
                       throws ManagementException

  Throws:
    `ManagementException`

### getReactivateTime

    public int getReactivateTime()
                          throws ManagementException

  Get the time (seconds) a plugin instance should stay disconnected after having been disconnected due to http timeout criteria. If 0 or negative value is used the plugin instance is not connected automatically. Value is effective for all new events.

  Throws:
    `ManagementException`

### getUserName

    public String getUserName()
                       throws ManagementException

  Throws:
    `ManagementException`

### getUserNameTokenAuthentication

    public boolean getUserNameTokenAuthentication()
                                           throws ManagementException

  Throws:
    `ManagementException`

### listApplicationEndPoints

    public String[] listApplicationEndPoints()
                                      throws ManagementException

  list all the application end points

  Returns:
    end point url
  Throws:
    `ManagementException`

### removeApplicationEndPoint

    public void removeApplicationEndPoint(String appinstanceId)
                                   throws ManagementException

  Update Application Endpoint for applicationId

  Parameters:
    `appinstanceId` -
  Throws:
    `ManagementException`

### setHttpBasicAuthentication

    public void setHttpBasicAuthentication(boolean value)
                                    throws ManagementException

  Throws:
    `ManagementException`

### setHttpTimeoutPeriod

    public void setHttpTimeoutPeriod(int value)
                              throws ManagementException

  Set the time (seconds) window/period in wich x number of timeouts are allowed before plugin instance is disconnected. Requests outside the window/time period are not taken into consideration when deciding if plugin instance should be disconnected or not. Value is effective for all new events.

  Throws:
    `ManagementException`

### setHttpTimeoutThreshold

    public void setHttpTimeoutThreshold(int value)
                                 throws ManagementException

  Set the number of HTTP timeouts that are allowed in a http timeout period before plugin instance is disconnected. Value is effective for all new events.

  Throws:
    `ManagementException`

### setHttpWaitTime

    public void setHttpWaitTime(int value)
                         throws ManagementException

  Set HTTP wait time (Request-time->Response) in seconds for MT requests Value is effective for all new events.

  Throws:
    `ManagementException`

### setNetworkEndpoint

    public void setNetworkEndpoint(String value)
                            throws ManagementException

  Throws:
    `ManagementException`

### setPassword

    public void setPassword(String value)
                     throws ManagementException

  Throws:
    `ManagementException`

### setReactivateTime

    public void setReactivateTime(int value)
                           throws ManagementException

  Set the time (seconds) a plugin instance should stay disconnected after having been disconnected due to http timeout criteria. If 0 or negative value is used the plugin instance is not connected automatically. Value is effective for all new events.

  Throws:
    `ManagementException`

### setUserName

    public void setUserName(String value)
                     throws ManagementException

  Throws:
    `ManagementException`

### setUserNameTokenAuthentication

    public void setUserNameTokenAuthentication(boolean value)
                                        throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD